Bug 13868 - Date on routing list slip is not well formatted
Summary: Date on routing list slip is not well formatted
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-18 22:22 UTC by Katrin Fischer
Modified: 2015-12-03 22:02 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13868: Correct formatting of date on routing list slip (1.70 KB, patch)
2015-03-18 22:24 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 13869: Wrong capitalization of 'Save Report' in guided reports (1.54 KB, patch)
2015-03-18 22:34 UTC, Katrin Fischer
Details | Diff | Splinter Review
[Signed-off] Bug 13868: Correct formatting of date on routing list slip (1.92 KB, patch)
2015-03-20 13:42 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 13868: Correct formatting of date on routing list slip (1.86 KB, patch)
2015-03-27 12:19 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-03-18 22:22:21 UTC
The date planned printed on the issue slip is not formatted according to the dateformat system preference setting.

To test:
- enable RoutingSerials
- create a subscription
- create a routing list from the serial collection page
- use the 'print list' links next to the issues to print a routing list
- verify that the date there is not displayed according to the dateformat 
  system preference without the patch, but is correct with the patch applied
Comment 1 Katrin Fischer 2015-03-18 22:24:08 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2015-03-18 22:34:13 UTC Comment hidden (obsolete)
Comment 3 Marc Véron 2015-03-20 13:42:42 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2015-03-27 12:19:23 UTC
Created attachment 37307 [details] [review]
[PASSED QA] Bug 13868: Correct formatting of date on routing list slip

The date planned printed on the issue slip is not formatted
according to the dateformat system preference setting.

To test:
- enable RoutingSerials
- create a subscription
- create a routing list from the serial collection page
- use the 'print list' links next to the issues to print a routing list
- verify that the date there is not displayed according to the dateformat
  system preference without the patch, but is correct with the patch applied

Followed test plan, date appears according to the date format syspref.
Signed-off-by: Marc Veron <veron@veron.ch>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Tomás Cohen Arazi 2015-03-31 14:55:19 UTC
Patch pushed to master.

Thanks Katrina!
Comment 6 Chris Cormack 2015-04-06 08:28:50 UTC
Pushed to 3.18.x will be in 3.18.6